# yamllint disable
# maps spotbugs rule ids to semgrep rules
# License: MIT (c) GitLab Inc.
# yamllint enable
---
find_sec_bugs_scala:
  native_analyzer: "find_sec_bugs"
  native_id:
    type: "find_sec_bugs_type"
    name: "Find Security Bugs-$ID"
    value: "$ID"
  mappings:
  - id: "XXE_SAXPARSER"
    rules:
    - path: "scala/xxe/rule-SaxParserXXE"
      primary_id: "find_sec_bugs.XXE_SAXPARSER"
      id: "find_sec_bugs_scala.XXE_SAXPARSER-1"
  - id: "XXE_XMLREADER"
    rules:
    - path: "scala/xxe/rule-XMLRdr"
      primary_id: "find_sec_bugs.XXE_XMLREADER"
      id: "find_sec_bugs_scala.XXE_XMLREADER-1"
  - id: "XXE_XMLSTREAMREADER"
    rules:
    - path: "scala/xxe/rule-XMLStreamRdr"
      primary_id: "find_sec_bugs.XXE_XMLSTREAMREADER"
      id: "find_sec_bugs_scala.XXE_XMLSTREAMREADER-1"
  - id: "XXE_XPATH"
    rules:
    - path: "scala/xxe/rule-XPathXXE"
      primary_id: "find_sec_bugs.XXE_XPATH"
      id: "find_sec_bugs_scala.XXE_XPATH-1"
  - id: "XXE_DOCUMENT"
    rules:
    - path: "scala/xxe/rule-Document"
      primary_id: "find_sec_bugs.XXE_DOCUMENT"
      id: "find_sec_bugs_scala.XXE_DOCUMENT-1"
  - id: "XXE_DTD_TRANSFORM_FACTORY"
    rules:
    - path: "scala/xxe/rule-Trans"
      primary_id: "find_sec_bugs.XXE_DTD_TRANSFORM_FACTORY"
      id: "find_sec_bugs_scala.XXE_DTD_TRANSFORM_FACTORY-1"
  - id: "XXE_XSLT_TRANSFORM_FACTORY"
    rules:
    - path: "scala/xxe/rule-Trans"
      primary_id: "find_sec_bugs.XXE_DTD_TRANSFORM_FACTORY-1.XXE_XSLT_TRANSFORM_FACTORY-1"
      id: "find_sec_bugs_scala.XXE_DTD_TRANSFORM_FACTORY-1.XXE_XSLT_TRANSFORM_FACTORY-1"
  - id: "XSS_SERVLET"
    rules:
    - path: "scala/xss/rule-XSSServlet"
      primary_id: "find_sec_bugs.XSS_SERVLET"
      id: "find_sec_bugs_scala.XSS_SERVLET-1"
  - id: "XSS_REQUEST_PARAMETER_TO_SERVLET_WRITER"
    rules:
    - path: "scala/xss/rule-XSSReqParamToServletWriter"
      primary_id: "find_sec_bugs.XSS_REQUEST_PARAMETER_TO_SERVLET_WRITER"
      id: "find_sec_bugs_scala.XSS_REQUEST_PARAMETER_TO_SERVLET_WRITER-1"
  - id: "WICKET_XSS1"
    rules:
    - path: "scala/xss/rule-WicketXSS"
      primary_id: "find_sec_bugs.WICKET_XSS1"
      id: "find_sec_bugs_scala.WICKET_XSS1-1"
  - id: "XSS_REQUEST_WRAPPER"
    rules:
    - path: "scala/xss/rule-RequestWrapper"
      primary_id: "find_sec_bugs.XSS_REQUEST_WRAPPER"
      id: "find_sec_bugs_scala.XSS_REQUEST_WRAPPER-1"
  - id: "SCALA_XSS_MVC_API"
    rules:
    - path: "scala/xss/rule-MVCApi"
      primary_id: "find_sec_bugs.SCALA_XSS_MVC_API"
      id: "find_sec_bugs_scala.SCALA_XSS_MVC_API-1"
  - id: "SQL_INJECTION_SPRING_JDBC"
    rules:
    - path: "scala/inject/rule-SqlInjection"
      primary_id: "find_sec_bugs.SQL_INJECTION_SPRING_JDBC"
      id: "find_sec_bugs_scala.SQL_INJECTION_SPRING_JDBC-1"
  - id: "SQL_INJECTION_JPA"
    rules:
    - path: "scala/inject/rule-SqlInjection"
      primary_id: "find_sec_bugs.SQL_INJECTION_JPA"
      id: "find_sec_bugs_scala.SQL_INJECTION_JPA-1"
  - id: "SQL_INJECTION_JDO"
    rules:
    - path: "scala/inject/rule-SqlInjection"
      primary_id: "find_sec_bugs.SQL_INJECTION_JDO"
      id: "find_sec_bugs_scala.SQL_INJECTION_JDO-1"
  - id: "SQL_INJECTION_JDBC"
    rules:
    - path: "scala/inject/rule-SqlInjection"
      primary_id: "find_sec_bugs.SQL_INJECTION_JDBC"
      id: "find_sec_bugs_scala.SQL_INJECTION_JDBC-1"
  - id: "SQL_NONCONSTANT_STRING_PASSED_TO_EXECUTE"
    rules:
    - path: "scala/inject/rule-SqlInjection"
      primary_id: "find_sec_bugs.SQL_NONCONSTANT_STRING_PASSED_TO_EXECUTE"
      id: "find_sec_bugs_scala.SQL_NONCONSTANT_STRING_PASSED_TO_EXECUTE-1"
  - id: "SCALA_SQL_INJECTION_SLICK"
    rules:
    - path: "scala/inject/rule-SqlInjection"
      primary_id: "find_sec_bugs.SQL_INJECTION_SPRING_JDBC-1.SQL_INJECTION_JPA-1.SQL_INJECTION_JDO-1.SQL_INJECTION_JDBC-1.SQL_NONCONSTANT_STRING_PASSED_TO_EXECUTE-1.SCALA_SQL_INJECTION_SLICK-1"
      id: "find_sec_bugs_scala.SQL_INJECTION_SPRING_JDBC-1.SQL_INJECTION_JPA-1.SQL_INJECTION_JDO-1.SQL_INJECTION_JDBC-1.SQL_NONCONSTANT_STRING_PASSED_TO_EXECUTE-1.SCALA_SQL_INJECTION_SLICK-1"
  - id: "XPATH_INJECTION"
    rules:
    - path: "scala/xpathi/rule-XpathInjection"
      primary_id: "find_sec_bugs.XPATH_INJECTION"
      id: "find_sec_bugs_scala.XPATH_INJECTION-1"
  - id: "NORMALIZATION_AFTER_VALIDATION"
    rules:
    - path: "scala/strings/rule-NormalizeAfterValidation"
      primary_id: "find_sec_bugs.NORMALIZATION_AFTER_VALIDATION"
      id: "find_sec_bugs_scala.NORMALIZATION_AFTER_VALIDATION-1"
  - id: "MODIFICATION_AFTER_VALIDATION"
    rules:
    - path: "scala/strings/rule-ModifyAfterValidation"
      primary_id: "find_sec_bugs.MODIFICATION_AFTER_VALIDATION"
      id: "find_sec_bugs_scala.MODIFICATION_AFTER_VALIDATION-1"
  - id: "IMPROPER_UNICODE"
    rules:
    - path: "scala/strings/rule-ImproperUnicode"
      primary_id: "find_sec_bugs.IMPROPER_UNICODE"
      id: "find_sec_bugs_scala.IMPROPER_UNICODE-1"
  - id: "BAD_HEXA_CONVERSION"
    rules:
    - path: "scala/strings/rule-BadHexConversion"
      primary_id: "find_sec_bugs.BAD_HEXA_CONVERSION"
      id: "find_sec_bugs_scala.BAD_HEXA_CONVERSION-1"
  - id: "DANGEROUS_PERMISSION_COMBINATION"
    rules:
    - path: "scala/perm/rule-DangerousPermissions"
      primary_id: "find_sec_bugs.DANGEROUS_PERMISSION_COMBINATION"
      id: "find_sec_bugs_scala.DANGEROUS_PERMISSION_COMBINATION-1"
  - id: "OVERLY_PERMISSIVE_FILE_PERMISSION"
    rules:
    - path: "scala/perm/rule-OverlyPermissiveFilePermissionInline"
      primary_id: "find_sec_bugs.OVERLY_PERMISSIVE_FILE_PERMISSION"
      id: "find_sec_bugs_scala.OVERLY_PERMISSIVE_FILE_PERMISSION-1"
    - path: "scala/perm/rule-OverlyPermissiveFilePermissionObj"
      primary_id: "find_sec_bugs.OVERLY_PERMISSIVE_FILE_PERMISSION-2"
      id: "find_sec_bugs_scala.OVERLY_PERMISSIVE_FILE_PERMISSION-2"
  - id: "FORMAT_STRING_MANIPULATION"
    rules:
    - path: "scala/strings/rule-FormatStringManipulation"
      primary_id: "find_sec_bugs.FORMAT_STRING_MANIPULATION"
      id: "find_sec_bugs_scala.FORMAT_STRING_MANIPULATION-1"
  - id: "STRUTS_FORM_VALIDATION"
    rules:
    - path: "scala/form/rule-FormValidate"
      primary_id: "find_sec_bugs.STRUTS_FORM_VALIDATION"
      id: "find_sec_bugs_scala.STRUTS_FORM_VALIDATION-1"
  - id: "SAML_IGNORE_COMMENTS"
    rules:
    - path: "scala/xml/rule-SAMLIgnoreComments"
      primary_id: "find_sec_bugs.SAML_IGNORE_COMMENTS"
      id: "find_sec_bugs_scala.SAML_IGNORE_COMMENTS-1"
  - id: "RPC_ENABLED_EXTENSIONS"
    rules:
    - path: "scala/xml/rule-ApacheXmlRpc"
      primary_id: "find_sec_bugs.RPC_ENABLED_EXTENSIONS"
      id: "find_sec_bugs_scala.RPC_ENABLED_EXTENSIONS-1"
  - id: "XML_DECODER"
    rules:
    - path: "scala/xml/rule-XmlDecoder"
      primary_id: "find_sec_bugs.XML_DECODER"
      id: "find_sec_bugs_scala.XML_DECODER-1"
  - id: "SMTP_HEADER_INJECTION"
    rules:
    - path: "scala/smtp/rule-SmtpClient"
      primary_id: "find_sec_bugs.SMTP_HEADER_INJECTION"
      id: "find_sec_bugs_scala.SMTP_HEADER_INJECTION-1"
  - id: "INSECURE_SMTP_SSL"
    rules:
    - path: "scala/smtp/rule-InsecureSmtp"
      primary_id: "find_sec_bugs.INSECURE_SMTP_SSL"
      id: "find_sec_bugs_scala.INSECURE_SMTP_SSL-1"
  - id: "TEMPLATE_INJECTION_PEBBLE"
    rules:
    - path: "scala/templateinjection/rule-TemplateInjection"
      primary_id: "find_sec_bugs.TEMPLATE_INJECTION_PEBBLE"
      id: "find_sec_bugs_scala.TEMPLATE_INJECTION_PEBBLE-1"
  - id: "TEMPLATE_INJECTION_FREEMARKER"
    rules:
    - path: "scala/templateinjection/rule-TemplateInjection"
      primary_id: "find_sec_bugs.TEMPLATE_INJECTION_FREEMARKER"
      id: "find_sec_bugs_scala.TEMPLATE_INJECTION_FREEMARKER-1"
  - id: "TEMPLATE_INJECTION_VELOCITY"
    rules:
    - path: "scala/templateinjection/rule-TemplateInjection"
      primary_id: "find_sec_bugs.TEMPLATE_INJECTION_PEBBLE-1.TEMPLATE_INJECTION_FREEMARKER-1.TEMPLATE_INJECTION_VELOCITY-1"
      id: "find_sec_bugs_scala.TEMPLATE_INJECTION_PEBBLE-1.TEMPLATE_INJECTION_FREEMARKER-1.TEMPLATE_INJECTION_VELOCITY-1"
  - id: "MALICIOUS_XSLT"
    rules:
    - path: "scala/xml/rule-XsltTransform"
      primary_id: "find_sec_bugs.MALICIOUS_XSLT"
      id: "find_sec_bugs_scala.MALICIOUS_XSLT-1"
  - id: "AWS_QUERY_INJECTION"
    rules:
    - path: "scala/inject/rule-AWSQueryInjection"
      primary_id: "find_sec_bugs.AWS_QUERY_INJECTION"
      id: "find_sec_bugs_scala.AWS_QUERY_INJECTION-1"
  - id: "BEAN_PROPERTY_INJECTION"
    rules:
    - path: "scala/inject/rule-BeanPropertyInjection"
      primary_id: "find_sec_bugs.BEAN_PROPERTY_INJECTION"
      id: "find_sec_bugs_scala.BEAN_PROPERTY_INJECTION-1"
  - id: "COMMAND_INJECTION"
    rules:
    - path: "scala/inject/rule-CommandInjection"
      primary_id: "find_sec_bugs.COMMAND_INJECTION"
      id: "find_sec_bugs_scala.COMMAND_INJECTION-1"
  - id: "SCALA_COMMAND_INJECTION"
    rules:
    - path: "scala/inject/rule-CommandInjection"
      primary_id: "find_sec_bugs.COMMAND_INJECTION-1.SCALA_COMMAND_INJECTION-1"
      id: "find_sec_bugs_scala.COMMAND_INJECTION-1.SCALA_COMMAND_INJECTION-1"
  - id: "CRLF_INJECTION_LOGS"
    rules:
    - path: "scala/inject/rule-CLRFInjectionLogs"
      primary_id: "find_sec_bugs.CRLF_INJECTION_LOGS"
      id: "find_sec_bugs_scala.CRLF_INJECTION_LOGS-1"
  - id: "CUSTOM_INJECTION"
    rules:
    - path: "scala/inject/rule-CustomInjection"
      primary_id: "find_sec_bugs.CUSTOM_INJECTION"
      id: "find_sec_bugs_scala.CUSTOM_INJECTION-1"
    - path: "scala/inject/rule-CustomInjectionSQLString"
      primary_id: "find_sec_bugs.CUSTOM_INJECTION-2"
      id: "find_sec_bugs_scala.CUSTOM_INJECTION-2"
  - id: "EL_INJECTION"
    rules:
    - path: "scala/inject/rule-ELInjection"
      primary_id: "find_sec_bugs.EL_INJECTION"
      id: "find_sec_bugs_scala.EL_INJECTION-1"
  - id: "REQUESTDISPATCHER_FILE_DISCLOSURE"
    rules:
    - path: "scala/inject/rule-FileDisclosure"
      primary_id: "find_sec_bugs.REQUESTDISPATCHER_FILE_DISCLOSURE"
      id: "find_sec_bugs_scala.REQUESTDISPATCHER_FILE_DISCLOSURE-1"
  - id: "STRUTS_FILE_DISCLOSURE"
    rules:
    - path: "scala/inject/rule-FileDisclosure"
      primary_id: "find_sec_bugs.STRUTS_FILE_DISCLOSURE"
      id: "find_sec_bugs_scala.STRUTS_FILE_DISCLOSURE-1"
  - id: "SPRING_FILE_DISCLOSURE"
    rules:
    - path: "scala/inject/rule-FileDisclosure"
      primary_id: "find_sec_bugs.REQUESTDISPATCHER_FILE_DISCLOSURE-1.STRUTS_FILE_DISCLOSURE-1.SPRING_FILE_DISCLOSURE-1"
      id: "find_sec_bugs_scala.REQUESTDISPATCHER_FILE_DISCLOSURE-1.STRUTS_FILE_DISCLOSURE-1.SPRING_FILE_DISCLOSURE-1"
  - id: "LDAP_INJECTION"
    rules:
    - path: "scala/inject/rule-LDAPInjection"
      primary_id: "find_sec_bugs.LDAP_INJECTION"
      id: "find_sec_bugs_scala.LDAP_INJECTION-1"
  - id: "PATH_TRAVERSAL_IN"
    rules:
    - path: "scala/inject/rule-PathTraversalIn"
      primary_id: "find_sec_bugs.PATH_TRAVERSAL_IN"
      id: "find_sec_bugs_scala.PATH_TRAVERSAL_IN-1"
  - id: "SCALA_PATH_TRAVERSAL_IN"
    rules:
    - path: "scala/inject/rule-PathTraversalIn"
      primary_id: "find_sec_bugs.PATH_TRAVERSAL_IN-1.SCALA_PATH_TRAVERSAL_IN-1"
      id: "find_sec_bugs_scala.PATH_TRAVERSAL_IN-1.SCALA_PATH_TRAVERSAL_IN-1"
  - id: "PATH_TRAVERSAL_OUT"
    rules:
    - path: "scala/inject/rule-PathTraversalOut"
      primary_id: "find_sec_bugs.PATH_TRAVERSAL_OUT"
      id: "find_sec_bugs_scala.PATH_TRAVERSAL_OUT-1"
  - id: "PT_RELATIVE_PATH_TRAVERSAL"
    rules:
    - path: "scala/inject/rule-SpotbugsPathTraversalRelative"
      primary_id: "find_sec_bugs.PT_RELATIVE_PATH_TRAVERSAL"
      id: "find_sec_bugs_scala.PT_RELATIVE_PATH_TRAVERSAL-1"
  - id: "PT_ABSOLUTE_PATH_TRAVERSAL"
    rules:
    - path: "scala/inject/rule-SpotbugsPathTraversalAbsolute"
      primary_id: "find_sec_bugs.PT_ABSOLUTE_PATH_TRAVERSAL"
      id: "find_sec_bugs_scala.PT_ABSOLUTE_PATH_TRAVERSAL-1"
  - id: "OGNL_INJECTION"
    rules:
    - path: "scala/inject/rule-OgnlInjection"
      primary_id: "find_sec_bugs.OGNL_INJECTION"
      id: "find_sec_bugs_scala.OGNL_INJECTION-1"
  - id: "BLOWFISH_KEY_SIZE"
    rules:
    - path: "scala/crypto/rule-BlowfishKeySize"
      primary_id: "find_sec_bugs.BLOWFISH_KEY_SIZE"
      id: "find_sec_bugs_scala.BLOWFISH_KEY_SIZE-1"
  - id: "CIPHER_INTEGRITY"
    rules:
    - path: "scala/crypto/rule-CipherIntegrity"
      primary_id: "find_sec_bugs.CIPHER_INTEGRITY"
      id: "find_sec_bugs_scala.CIPHER_INTEGRITY-1"
  - id: "ECB_MODE"
    rules:
    - path: "scala/crypto/rule-CipherECBMode"
      primary_id: "find_sec_bugs.ECB_MODE"
      id: "find_sec_bugs_scala.ECB_MODE-1"
  - id: "PADDING_ORACLE"
    rules:
    - path: "scala/crypto/rule-CipherPaddingOracle"
      primary_id: "find_sec_bugs.PADDING_ORACLE"
      id: "find_sec_bugs_scala.PADDING_ORACLE-1"
  - id: "CUSTOM_MESSAGE_DIGEST"
    rules:
    - path: "scala/crypto/rule-CustomMessageDigest"
      primary_id: "find_sec_bugs.CUSTOM_MESSAGE_DIGEST"
      id: "find_sec_bugs_scala.CUSTOM_MESSAGE_DIGEST-1"
  - id: "DEFAULT_HTTP_CLIENT"
    rules:
    - path: "scala/crypto/rule-DefaultHTTPClient"
      primary_id: "find_sec_bugs.DEFAULT_HTTP_CLIENT"
      id: "find_sec_bugs_scala.DEFAULT_HTTP_CLIENT-1"
  - id: "DES_USAGE"
    rules:
    - path: "scala/crypto/rule-CipherDESInsecure"
      primary_id: "find_sec_bugs.DES_USAGE"
      id: "find_sec_bugs_scala.DES_USAGE-1"
  - id: "TDES_USAGE"
    rules:
    - path: "scala/crypto/rule-CipherDESedeInsecure"
      primary_id: "find_sec_bugs.TDES_USAGE"
      id: "find_sec_bugs_scala.TDES_USAGE-1"
  - id: "HAZELCAST_SYMMETRIC_ENCRYPTION"
    rules:
    - path: "scala/crypto/rule-HazelcastSymmetricEncryption"
      primary_id: "find_sec_bugs.HAZELCAST_SYMMETRIC_ENCRYPTION"
      id: "find_sec_bugs_scala.HAZELCAST_SYMMETRIC_ENCRYPTION-1"
  - id: "RSA_KEY_SIZE"
    rules:
    - path: "scala/crypto/rule-InsufficientKeySizeRsa"
      primary_id: "find_sec_bugs.RSA_KEY_SIZE"
      id: "find_sec_bugs_scala.RSA_KEY_SIZE-1"
  - id: "RSA_NO_PADDING"
    rules:
    - path: "scala/crypto/rule-RsaNoPadding"
      primary_id: "find_sec_bugs.RSA_NO_PADDING"
      id: "find_sec_bugs_scala.RSA_NO_PADDING-1"
  - id: "SSL_CONTEXT"
    rules:
    - path: "scala/crypto/rule-WeakTLSProtocol"
      primary_id: "find_sec_bugs.SSL_CONTEXT"
      id: "find_sec_bugs_scala.SSL_CONTEXT-1"
  - id: "WEAK_MESSAGE_DIGEST_MD5"
    rules:
    - path: "scala/crypto/rule-WeakMessageDigest"
      primary_id: "find_sec_bugs.WEAK_MESSAGE_DIGEST_MD5"
      id: "find_sec_bugs_scala.WEAK_MESSAGE_DIGEST_MD5-1"
  - id: "WEAK_MESSAGE_DIGEST_SHA1"
    rules:
    - path: "scala/crypto/rule-WeakMessageDigest"
      primary_id: "find_sec_bugs.WEAK_MESSAGE_DIGEST_MD5-1.WEAK_MESSAGE_DIGEST_SHA1-1"
      id: "find_sec_bugs_scala.WEAK_MESSAGE_DIGEST_MD5-1.WEAK_MESSAGE_DIGEST_SHA1-1"
  - id: "NULL_CIPHER"
    rules:
    - path: "scala/crypto/rule-NullCipher"
      primary_id: "find_sec_bugs.NULL_CIPHER"
      id: "find_sec_bugs_scala.NULL_CIPHER-1"
  - id: "COOKIE_PERSISTENT"
    rules:
    - path: "scala/cookie/rule-CookiePersistent"
      primary_id: "find_sec_bugs.COOKIE_PERSISTENT"
      id: "find_sec_bugs_scala.COOKIE_PERSISTENT-1"
  - id: "INSECURE_COOKIE"
    rules:
    - path: "scala/cookie/rule-CookieInsecure"
      primary_id: "find_sec_bugs.INSECURE_COOKIE"
      id: "find_sec_bugs_scala.INSECURE_COOKIE-1"
  - id: "HTTPONLY_COOKIE"
    rules:
    - path: "scala/cookie/rule-CookieHTTPOnly"
      primary_id: "find_sec_bugs.HTTPONLY_COOKIE"
      id: "find_sec_bugs_scala.HTTPONLY_COOKIE-1"
  - id: "COOKIE_USAGE"
    rules:
    - path: "scala/cookie/rule-CookieUsage"
      primary_id: "find_sec_bugs.COOKIE_USAGE"
      id: "find_sec_bugs_scala.COOKIE_USAGE-1"
  - id: "HTTP_RESPONSE_SPLITTING"
    rules:
    - path: "scala/cookie/rule-HttpResponseSplitting"
      primary_id: "find_sec_bugs.HTTP_RESPONSE_SPLITTING"
      id: "find_sec_bugs_scala.HTTP_RESPONSE_SPLITTING-1"
  - id: "HRS_REQUEST_PARAMETER_TO_COOKIE"
    rules:
    - path: "scala/cookie/rule-RequestParamToCookie"
      primary_id: "find_sec_bugs.HRS_REQUEST_PARAMETER_TO_COOKIE"
      id: "find_sec_bugs_scala.HRS_REQUEST_PARAMETER_TO_COOKIE-1"
  - id: "TRUST_BOUNDARY_VIOLATION"
    rules:
    - path: "scala/cookie/rule-TrustBoundaryViolation"
      primary_id: "find_sec_bugs.TRUST_BOUNDARY_VIOLATION"
      id: "find_sec_bugs_scala.TRUST_BOUNDARY_VIOLATION-1"
  - id: "HRS_REQUEST_PARAMETER_TO_HTTP_HEADER"
    rules:
    - path: "scala/cookie/rule-RequestParamToHeader"
      primary_id: "find_sec_bugs.HRS_REQUEST_PARAMETER_TO_HTTP_HEADER"
      id: "find_sec_bugs_scala.HRS_REQUEST_PARAMETER_TO_HTTP_HEADER-1"
  - id: "DMI_EMPTY_DB_PASSWORD"
    rules:
    - path: "scala/password/rule-EmptyDBPassword"
      primary_id: "find_sec_bugs.DMI_EMPTY_DB_PASSWORD"
      id: "find_sec_bugs_scala.DMI_EMPTY_DB_PASSWORD-1"
  - id: "DMI_CONSTANT_DB_PASSWORD"
    rules:
    - path: "scala/password/rule-ConstantDBPassword"
      primary_id: "find_sec_bugs.DMI_CONSTANT_DB_PASSWORD"
      id: "find_sec_bugs_scala.DMI_CONSTANT_DB_PASSWORD-1"
  - id: "HARD_CODE_PASSWORD"
    rules:
    - path: "scala/password/rule-HardcodePassword"
      primary_id: "find_sec_bugs.HARD_CODE_PASSWORD"
      id: "find_sec_bugs_scala.HARD_CODE_PASSWORD-1"
    - path: "scala/password/rule-EmptyDBPassword"
      primary_id: "find_sec_bugs.DMI_EMPTY_DB_PASSWORD-1.HARD_CODE_PASSWORD-2"
      id: "find_sec_bugs_scala.DMI_EMPTY_DB_PASSWORD-1.HARD_CODE_PASSWORD-2"
    - path: "scala/password/rule-ConstantDBPassword"
      primary_id: "find_sec_bugs.DMI_CONSTANT_DB_PASSWORD-1.HARD_CODE_PASSWORD-3"
      id: "find_sec_bugs_scala.DMI_CONSTANT_DB_PASSWORD-1.HARD_CODE_PASSWORD-3"
  - id: "EXTERNAL_CONFIG_CONTROL"
    rules:
    - path: "scala/unsafe/rule-ExternalConfigControl"
      primary_id: "find_sec_bugs.EXTERNAL_CONFIG_CONTROL"
      id: "find_sec_bugs_scala.EXTERNAL_CONFIG_CONTROL-1"
  - id: "INFORMATION_EXPOSURE_THROUGH_AN_ERROR_MESSAGE"
    rules:
    - path: "scala/unsafe/rule-InformationExposure"
      primary_id: "find_sec_bugs.INFORMATION_EXPOSURE_THROUGH_AN_ERROR_MESSAGE"
      id: "find_sec_bugs_scala.INFORMATION_EXPOSURE_THROUGH_AN_ERROR_MESSAGE-1"
  - id: "SCALA_SENSITIVE_DATA_EXPOSURE"
    rules:
    - path: "scala/unsafe/rule-SensitiveDataExposure"
      primary_id: "find_sec_bugs.SCALA_SENSITIVE_DATA_EXPOSURE"
      id: "find_sec_bugs_scala.SCALA_SENSITIVE_DATA_EXPOSURE-1"
  - id: "FILE_UPLOAD_FILENAME"
    rules:
    - path: "scala/file/rule-FileUploadFileName"
      primary_id: "find_sec_bugs.FILE_UPLOAD_FILENAME"
      id: "find_sec_bugs_scala.FILE_UPLOAD_FILENAME-1"
  - id: "WEAK_FILENAMEUTILS"
    rules:
    - path: "scala/file/rule-FilenameUtils"
      primary_id: "find_sec_bugs.WEAK_FILENAMEUTILS"
      id: "find_sec_bugs_scala.WEAK_FILENAMEUTILS-1"
  - id: "URLCONNECTION_SSRF_FD"
    rules:
    - path: "scala/ssrf/rule-SSRF"
      primary_id: "find_sec_bugs.URLCONNECTION_SSRF_FD"
      id: "find_sec_bugs_scala.URLCONNECTION_SSRF_FD-1"
  - id: "SCALA_PLAY_SSRF"
    rules:
    - path: "scala/ssrf/rule-PlaySSRF"
      primary_id: "find_sec_bugs.SCALA_PLAY_SSRF"
      id: "find_sec_bugs_scala.SCALA_PLAY_SSRF-1"
  - id: "HTTP_PARAMETER_POLLUTION"
    rules:
    - path: "scala/inject/rule-HttpParameterPollution"
      primary_id: "find_sec_bugs.HTTP_PARAMETER_POLLUTION"
      id: "find_sec_bugs_scala.HTTP_PARAMETER_POLLUTION-1"
  - id: "LDAP_ANONYMOUS"
    rules:
    - path: "scala/ldap/rule-AnonymousLDAP"
      primary_id: "find_sec_bugs.LDAP_ANONYMOUS"
      id: "find_sec_bugs_scala.LDAP_ANONYMOUS-1"
  - id: "LDAP_ENTRY_POISONING"
    rules:
    - path: "scala/ldap/rule-EntryPoisoning"
      primary_id: "find_sec_bugs.LDAP_ENTRY_POISONING"
      id: "find_sec_bugs_scala.LDAP_ENTRY_POISONING-1"
  - id: "SCRIPT_ENGINE_INJECTION"
    rules:
    - path: "scala/script/rule-ScriptInjection"
      primary_id: "find_sec_bugs.SCRIPT_ENGINE_INJECTION"
      id: "find_sec_bugs_scala.SCRIPT_ENGINE_INJECTION-1"
    - path: "scala/script/rule-SpelView"
      primary_id: "find_sec_bugs.SCRIPT_ENGINE_INJECTION-2"
      id: "find_sec_bugs_scala.SCRIPT_ENGINE_INJECTION-2"
  - id: "SPEL_INJECTION"
    rules:
    - path: "scala/script/rule-ScriptInjection"
      primary_id: "find_sec_bugs.SPEL_INJECTION"
      id: "find_sec_bugs_scala.SPEL_INJECTION-1"
  - id: "EL_INJECTION"
    rules:
    - path: "scala/script/rule-ScriptInjection"
      primary_id: "find_sec_bugs.EL_INJECTION"
      id: "find_sec_bugs_scala.EL_INJECTION-1"
  - id: "SEAM_LOG_INJECTION"
    rules:
    - path: "scala/script/rule-ScriptInjection"
      primary_id: "find_sec_bugs.SCRIPT_ENGINE_INJECTION-1.SPEL_INJECTION-1.EL_INJECTION-2.SEAM_LOG_INJECTION-1"
      id: "find_sec_bugs_scala.SCRIPT_ENGINE_INJECTION-1.SPEL_INJECTION-1.EL_INJECTION-2.SEAM_LOG_INJECTION-1"
  - id: "UNENCRYPTED_SOCKET"
    rules:
    - path: "scala/endpoint/rule-UnencryptedSocket"
      primary_id: "find_sec_bugs.UNENCRYPTED_SOCKET"
      id: "find_sec_bugs_scala.UNENCRYPTED_SOCKET-1"
  - id: "UNENCRYPTED_SERVER_SOCKET"
    rules:
    - path: "scala/endpoint/rule-UnencryptedSocket"
      primary_id: "find_sec_bugs.UNENCRYPTED_SOCKET-1.UNENCRYPTED_SERVER_SOCKET-1"
      id: "find_sec_bugs_scala.UNENCRYPTED_SOCKET-1.UNENCRYPTED_SERVER_SOCKET-1"
  - id: "UNVALIDATED_REDIRECT"
    rules:
    - path: "scala/endpoint/rule-UnvalidatedRedirect"
      primary_id: "find_sec_bugs.UNVALIDATED_REDIRECT"
      id: "find_sec_bugs_scala.UNVALIDATED_REDIRECT-1"
  - id: "URL_REWRITING"
    rules:
    - path: "scala/endpoint/rule-UnvalidatedRedirect"
      primary_id: "find_sec_bugs.UNVALIDATED_REDIRECT-1.URL_REWRITING-1"
      id: "find_sec_bugs_scala.UNVALIDATED_REDIRECT-1.URL_REWRITING-1"
  - id: "WEAK_HOSTNAME_VERIFIER"
    rules:
    - path: "scala/endpoint/rule-WeakHostNameVerification"
      primary_id: "find_sec_bugs.WEAK_HOSTNAME_VERIFIER"
      id: "find_sec_bugs_scala.WEAK_HOSTNAME_VERIFIER-1"
  - id: "WEAK_TRUST_MANAGER"
    rules:
    - path: "scala/endpoint/rule-WeakHostNameVerification"
      primary_id: "find_sec_bugs.WEAK_HOSTNAME_VERIFIER-1.WEAK_TRUST_MANAGER-1"
      id: "find_sec_bugs_scala.WEAK_HOSTNAME_VERIFIER-1.WEAK_TRUST_MANAGER-1"
  - id: "JAXWS_ENDPOINT"
    rules:
    - path: "scala/endpoint/rule-JaxWsEndpoint"
      primary_id: "find_sec_bugs.JAXWS_ENDPOINT"
      id: "find_sec_bugs_scala.JAXWS_ENDPOINT-1"
  - id: "JAXRS_ENDPOINT"
    rules:
    - path: "scala/endpoint/rule-JaxRsEndpoint"
      primary_id: "find_sec_bugs.JAXRS_ENDPOINT"
      id: "find_sec_bugs_scala.JAXRS_ENDPOINT-1"
  - id: "PERMISSIVE_CORS"
    rules:
    - path: "scala/cors/rule-PermissiveCORS"
      primary_id: "find_sec_bugs.PERMISSIVE_CORS"
      id: "find_sec_bugs_scala.PERMISSIVE_CORS-1"
    - path: "scala/cors/rule-PermissiveCORSInjection"
      primary_id: "find_sec_bugs.PERMISSIVE_CORS-2"
      id: "find_sec_bugs_scala.PERMISSIVE_CORS-2"
